Name: manslide
Version: 1.5
Release: alt1.1

Summary: Manslide is a tool for generating slideshows.
License: GPL 
Group: Video
Url: http://www.kde-apps.org/content/show.php?content=46558

Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar.bz2
Source1: %{name}16.png
Source2: %{name}32.png
Source3: %{name}48.png
Source4: %name.desktop
Patch: %name-%version-alt.translation.path.patch

# Automatically added by buildreq on Fri Dec 29 2006
BuildRequires: fontconfig gcc-c++ libmesa-devel libqt4-devel qt4-settings
BuildRequires: kde-common-devel

Requires: mencoder, mjpegtools, ImageMagick, sox, vorbis-tools, mplayer

%description
Manslide is a tool for generating slideshows.
It supports 3D special effects and is very simple to use.

%prep
%setup -q
%patch -p1
subst 's|/new/prefix1|%_datadir/%name|' interface.qrc
rename M m Manslide.pro
find . -type f -name \*.cpp -print0 | xargs -r0 subst 's|QApplication::applicationDirPath() + "|"%_datadir/%name|g'

%build
%_qt4dir/bin/qmake
%make_build

%install
install -d -m755 %buildroot%_bindir
install -d -m755 %buildroot%_datadir/%name
install -d -m755 %buildroot%_datadir/qt4/translations
install -d -m755 %buildroot%_miconsdir
install -d -m755 %buildroot%_niconsdir
install -d -m755 %buildroot%_liconsdir
install -d -m755 %buildroot%_Kmenudir

install -m755 %name %buildroot%_bindir/
install -m644 -t %buildroot%_datadir/qt4/translations/ *.qm
cp -R Effects %buildroot%_datadir/%name/
cp -R Interface %buildroot%_datadir/%name/
install -m644 %SOURCE1 %buildroot%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot%_niconsdir/%name.png
install -m644 %SOURCE3 %buildroot%_liconsdir/%name.png
install -m644 %SOURCE4 %buildroot%_Kmenudir/

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/qt4/translations/*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_Kmenudir/*


%changelog
* Fri Apr 13 2007 Alexey Morsov <swi@altlinux.ru> 1.5-alt1.1
- Fix Summary and description

* Mon Apr 09 2007 Alexey Morsov <swi@altlinux.ru> 1.5-alt1
- initial build for Sisyphus
- hardcore patching for normal paths for data files and translation files
- create .desktop and icons files

